mod cli;
mod cli_net;
mod cli_error;

use clap::Parser;
use cli::Cli;
use cli_net::{create_tcp_stream, try_send};
use anyhow::Result;

#[tokio::main]
async fn main() -> Result<()>{
    let cli = Cli::parse();
    try_send(create_tcp_stream().await, cli).await?;
    Ok(())
}
